Bug 176692 - graphics/leptonica: fetch of leptonica-1.69.tar.gz keeps failing [workaround]
Summary: graphics/leptonica: fetch of leptonica-1.69.tar.gz keeps failing [workaround]
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-06 15:10 UTC by Lawrence Chen
Modified: 2013-03-20 05:30 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lawrence Chen 2013-03-06 15:10:02 UTC
	fetch of leptonica-1.69.tar.gz keeps timing out from google.

Fix: 

Found that there was no problem fetching leptonica-1.69.tar.bz2 from
	the same site, so changed port to use this.
How-To-Repeat: 	
	keep trying to upgrade this port, and it keeps failing
Comment 1 Edwin Groothuis freebsd_committer 2013-03-06 15:10:13 UTC
Maintainer of graphics/leptonica,

Please note that PR ports/176692 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/176692

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-03-06 15:10:14 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Brendan Fabeny freebsd_committer 2013-03-06 20:37:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bf

I'll take it.
Comment 4 b. f. 2013-03-06 22:13:57 UTC
On 3/6/13, bf@freebsd.org <bf@freebsd.org> wrote:
> Synopsis: graphics/leptonica: fetch of leptonica-1.69.tar.gz keeps failing
> [workaround]
>
> Responsible-Changed-From-To: freebsd-ports-bugs->bf
> Responsible-Changed-By: bf
> Responsible-Changed-When: Wed Mar 6 20:37:07 UTC 2013
> Responsible-Changed-Why:
> I'll take it.
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=176692
>

I don't have any objections to switching to USE_BZIP2, but I cannot
reproduce this problem -- I didn't have a problem when first preparing
the update, or just a few minutes ago, when I tested it again.  Do you
have any custom network or FETCH* settings?

There is also the parent leptonica.org server, but some of the
tarballs there appear to differ from the corresponding googlecode
tarballs.

Regards,

b.
Comment 5 TheDreamer 2013-03-10 18:26:45 UTC
On 03/06/2013 16:13, b.f. wrote:> On 3/6/13, bf@freebsd.org
<bf@freebsd.org> wrote:
>> Synopsis: graphics/leptonica: fetch of leptonica-1.69.tar.gz keeps
failing
>> [workaround]
>>
>> Responsible-Changed-From-To: freebsd-ports-bugs->bf
>> Responsible-Changed-By: bf
>> Responsible-Changed-When: Wed Mar 6 20:37:07 UTC 2013
>> Responsible-Changed-Why:
>> I'll take it.
>>
>> http://www.freebsd.org/cgi/query-pr.cgi?pr=176692
>>
>
> I don't have any objections to switching to USE_BZIP2, but I cannot
> reproduce this problem -- I didn't have a problem when first preparing
> the update, or just a few minutes ago, when I tested it again.  Do you
> have any custom network or FETCH* settings?
>
> There is also the parent leptonica.org server, but some of the
> tarballs there appear to differ from the corresponding googlecode
> tarballs.
>
> Regards,
>
> b.
>

Perhaps it was a transient problem on the day the update was released,
or that too many people wanted that file that day.

It downloads fine now.  So, I guess this isn't needed now.

-- 
  Name: Lawrence "The Dreamer" Chen        Email: TheDreamer@lhaven.net
 Snail: 1530 College Ave, A5                 URL: http://www.lhaven.net
        Manhattan, KS 66502-2768
  Blog: http://lawrencechen.net            Phone: 785-789-4132
Comment 6 Brendan Fabeny freebsd_committer 2013-03-20 05:30:09 UTC
State Changed
From-To: feedback->closed

The problem appears to have been temporary.  The choice of distfile will 
be reconsidered during the next update.